Bug 1005763 - A jenkins error messge pops up when "rhc setup" to a server after migration, using an account with jenkins app.
A jenkins error messge pops up when "rhc setup" to a server after migration, ...
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 06:57 EDT by Qiushui Zhang
Modified: 2017-05-31 14:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log packages from instance, after rhc setup (496.37 KB, application/zip)
2013-09-10 06:24 EDT, Qiushui Zhang
no flags Details

  None (edit)
Description Qiushui Zhang 2013-09-09 06:57:02 EDT
Description of problem:
Create apps including jenkins app on a stage instance. Do "rhc setup" to this server after migration. An error pops up saying "An SSH connection could not be established to jks1-qiuzhang.dev.rhcloud.com. Your SSH configuration may not be correct, or the application may not be responding. 522d32b24f96a8472a000007 (Net::SSH::AuthenticationFailed)"

Version-Release number of selected component (if applicable):
devenv-stage_465 to devenv_3758
rhc 1.14.3

How reproducible:
always

Steps to Reproduce:
1. Create apps on stage instance, including jenkins app
2. Do migration
3. rhc setup --server $stage_instance

Actual results:
An error pops up, saying "An SSH connection could not be established to jks1-qiuzhang.dev.rhcloud.com. Your SSH configuration may not be correct, or the application may not be responding. 522d32b24f96a8472a000007 (Net::SSH::AuthenticationFailed)"

Expected results:
No error pops up.

Additional info:
Jenkins app is accessible:
1. I can SSH to this app
2. The webpage is available
Comment 1 Clayton Coleman 2013-09-09 09:40:40 EDT
This *might* be related to the gear id/uuid migration.  Please provide more info about this application, including the account username+password
Comment 3 Qiushui Zhang 2013-09-10 06:24:54 EDT
Created attachment 795938 [details]
Log packages from instance, after rhc setup
Comment 4 Clayton Coleman 2013-09-10 11:44:22 EDT
Fixed in https://github.com/openshift/rhc/pull/458
Comment 5 openshift-github-bot 2013-09-10 15:34:42 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/dcb987527ff83ba5dd5b43c9fe3d83f365950bca
Bug 1005763 - Need to use the ssh_url (not uuid) to generate SSH
Comment 6 Qiushui Zhang 2013-09-11 06:55:59 EDT
Double checked with both devenv_3770 and devenv_3773. Stage instance is 465.

It still happens in the same way as bug description.
Comment 7 Qiushui Zhang 2013-09-12 06:52:30 EDT
Tested on devenv_3776. Log files are similar to last one -- no obvious errors or warnings.
After research, we find that it will prompt the error depending on the app list when "rhc setup". Please refer to the following example from a "rhc setup":

An SSH connection could not be established to perl1-bmengdev.dev.rhcloud.com. Your SSH configuration may not be correct, or the
application may not be responding. 523190329d384c263200001f (Net::SSH::AuthenticationFailed)

Checking for a domain ... bmengdev

Checking for applications ... found 13

  perl1   http://perl1-bmengdev.dev.rhcloud.com/
  py1     http://py1-bmengdev.dev.rhcloud.com/
  py271   http://py271-bmengdev.dev.rhcloud.com/
  zend1   http://zend1-bmengdev.dev.rhcloud.com/
  py331   http://py331-bmengdev.dev.rhcloud.com/
  ruby181 http://ruby181-bmengdev.dev.rhcloud.com/
  ruby191 http://ruby191-bmengdev.dev.rhcloud.com/
  no1     http://no1-bmengdev.dev.rhcloud.com/
  jbas1   http://jbas1-bmengdev.dev.rhcloud.com/
  jbews11 http://jbews11-bmengdev.dev.rhcloud.com/
  jbews21 http://jbews21-bmengdev.dev.rhcloud.com/
  diy1    http://diy1-bmengdev.dev.rhcloud.com/
  jenkins http://jenkins-bmengdev.dev.rhcloud.com/


Notice that, the error is saying about "perl1", not jenkins.
Comment 9 Jordan Liggitt 2014-07-11 14:40:19 EDT
Can we get more details on the RHC side for this failure? run `rhc setup... --debug` and capture the output
Comment 11 weiwei jiang 2014-07-22 22:16:04 EDT
(In reply to Jordan Liggitt from comment #9)
> Can we get more details on the RHC side for this failure? run `rhc setup...
> --debug` and capture the output

# rhc setup -l wjiang@redhat.com --server stg.openshift.redhat.com -d 
DEBUG: Using config file /root/.openshift/express.conf
DEBUG: Running greeting_stage
OpenShift Client Tools (RHC) Setup Wizard

This wizard will help you upload your SSH keys, set your application namespace, and check that other programs like Git are properly installed.
DEBUG: Running server_stage
DEBUG: Running login_stage

Using an existing token for wjiang@redhat.com to login to stg.openshift.redhat.com
DEBUG: Connecting to https://stg.openshift.redhat.com/broker/rest/api
DEBUG: Client supports API versions 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7
DEBUG: Using token authentication
DEBUG: Created new httpclient
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/api
DEBUG:    code 200 1158 ms
DEBUG: Server supports API versions 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7
DEBUG:    Using API version 1.7
DEBUG: Client API version 1.7 is not current. Refetching API
DEBUG: Using token authentication
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/api
DEBUG:    code 200  305 ms
DEBUG: Getting user info
DEBUG: Using token authentication
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/user
DEBUG:    code 200  290 ms
DEBUG: Running create_config_stage

Saving configuration to /root/.openshift/express.conf ... done
Saving server configuration to /root/.openshift/servers.yml ... done
DEBUG: Running config_ssh_key_stage
DEBUG: Running upload_ssh_key_stage
DEBUG: Getting user info
DEBUG: Finding all keys for wjiang@redhat.com
DEBUG: Getting user info
DEBUG: Getting all keys for user wjiang@redhat.com
DEBUG: Using token authentication
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/user/keys
DEBUG:    code 200  297 ms
DEBUG: Running install_client_tools_stage

Checking for git ... found git version 1.7.1
DEBUG: Running setup_test_stage

Checking common problems .DEBUG: Getting all domains
DEBUG: Using token authentication
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/domains
DEBUG:    code 200  314 ms
DEBUG: Getting all applications for domain 520c8f8b2587c8f39a000026
DEBUG: Using token authentication
DEBUG: Request GET https://stg.openshift.redhat.com/broker/rest/domain/wjiang/applications
DEBUG:    code 200 1963 ms
DEBUG: 52a8121bdbd93c635500031c (Net::SSH::AuthenticationFailed)
  /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/net-ssh-2.7.0/lib/net/ssh.rb:215:in `start'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:544:in `block in test_ssh_connectivity'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:541:in `each'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:541:in `test_ssh_connectivity'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:503:in `block in setup_test_stage'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:501:in `each'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:501:in `setup_test_stage'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:67:in `block in run'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:65:in `each'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/wizard.rb:65:in `run'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/commands/setup.rb:57:in `run'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/commands.rb:294:in `execute'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/commands.rb:285:in `block (3 levels) in to_commander'
  /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/commander-4.1.5/lib/commander/command.rb:180:in `call'
  /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/commander-4.1.5/lib/commander/command.rb:180:in `call'
  /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/commander-4.1.5/lib/commander/command.rb:155:in `run'
  /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/commander-4.1.5/lib/commander/runner.rb:402:in `run_active_command'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/command_runner.rb:72:in `run!'
  /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/commander-4.1.5/lib/commander/delegates.rb:7:in `run!'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/lib/rhc/cli.rb:37:in `start'
  /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rhc-1.28.0/bin/rhc:20:in `<top (required)>'
  /usr/local/rvm/gems/ruby-2.0.0-p0/bin/rhc:23:in `load'
  /usr/local/rvm/gems/ruby-2.0.0-p0/bin/rhc:23:in `<main>'
  /usr/local/rvm/gems/ruby-2.0.0-p0/bin/ruby_noexec_wrapper:14:in `eval'
  /usr/local/rvm/gems/ruby-2.0.0-p0/bin/ruby_noexec_wrapper:14:in `<main>'


An SSH connection could not be established to app-wjiang.stg.rhcloud.com. Your SSH configuration may not be correct, or the application may not be responding. 52a8121bdbd93c635500031c (Net::SSH::AuthenticationFailed)
DEBUG: Running config_namespace_stage

Checking for a domain ... DEBUG: Getting all domains
wjiang
DEBUG: Running show_app_info_stage

Checking for applications ... found 10

  app              http://app-wjiang.stg.rhcloud.com/
  jenkins          http://jenkins-wjiang.stg.rhcloud.com/
  parks            http://parks-wjiang.stg.rhcloud.com/
  py33all          http://py33all-wjiang.stg.rhcloud.com/
  py33cart         http://py33cart-wjiang.stg.rhcloud.com/
  py33plugin       http://py33plugin-wjiang.stg.rhcloud.com/
  py33plugins      http://py33plugins-wjiang.stg.rhcloud.com/
  py33psql92       http://py33psql92-wjiang.stg.rhcloud.com/
  py33s            http://py33s-wjiang.stg.rhcloud.com/
  py33withdiffgear http://py33withdiffgear-wjiang.stg.rhcloud.com/

  You are using 19 of 20 total gears
  The following gear sizes are available to you: small, medium, large
DEBUG: Running finalize_stage

Your client tools are now configured.
Comment 12 Eric Paris 2017-05-31 14:22:11 EDT
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.

Note You need to log in before you can comment on or make changes to this bug.